# H4501_EntityType Class Reference

`#include <h4501.h>`

List of all members.

## Public Types

enum | Choices { e_endpoint, e_anyEntity }

## Public Member Functions

| H4501_EntityType (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H4501_EntityType::Choices

Enumerator:

  e_endpoint |
  e_anyEntity |

## Constructor & Destructor Documentation

H4501_EntityType::H4501_EntityType | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H4501_EntityType::CreateObject | ( |  | ) |

PObject* H4501_EntityType::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4501.h